For the complete documentation index, see llms.txt. This page is also available as Markdown.

referral

referral

post
Body

Request envelope for read-only actions submitted to /exchange.

Authorizes private queries for balances, positions, orders, portfolio, fees, and referrals.

expiresAfterinteger · nullableOptional

Optional expiry for signed query requests.

nonceinteger · int64Required

Request nonce (Unix timestamp in milliseconds)

vaultAddressstring · nullableOptional

Optional vault address for vault operations

Responses
200

Request successful. Response format depends on the requested action.

application/json
anyOptional
post/exchange
POST /exchange HTTP/1.1
Host: api.hyperlink.xyz
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "action": {
    "user": "text",
    "type": "referral"
  },
  "expiresAfter": null,
  "nonce": 1,
  "signature": {
    "r": "text",
    "s": "text",
    "v": 1
  },
  "vaultAddress": null
}
[
  {
    "coin": "BTC",
    "side": "A",
    "limitPx": "29792.0",
    "sz": "5.0",
    "oid": 91490942,
    "timestamp": 1681247412573,
    "origSz": "5.0",
    "cloid": "0x1234567890abcdef1234567890abcdef"
  }
]

Last updated